package de.apps4ics.mountainnavigation.pois;

/**
 * This file is part of MountainNavigation.
 *
 * MountainNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MountainNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MountainNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
 *
 * @author Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
 */
public class Image extends Poi {
    byte[] image;
    int associated_poi_type;

    public Image(long _id) {
        super(_id, Types.PIC);
    }
    public Image(){
        super(Types.PIC);
    }
    public Image(long _id, byte[] image, int associated_poi_type, DbGeoPoint gp){
        super(_id, Types.PIC, gp);
        this.image = image;
        this.associated_poi_type = associated_poi_type;
    }

    public int getAssociatedPoiType(){
        return associated_poi_type;
    }

    public byte[] getImage(){
        return image;
    }
}